@keyframes autofill-start {
  from {}
  to {}
}

input:-webkit-autofill {
  animation-name: autofill-start;
  animation-duration: 0.01s;
}
.cart{
  display: flex;
  flex-direction: row;
}
.cart .form-check-input {
    border: var(--main-border);
}
.cart .with-placeholder .form-control~label{
  transform: scale(.85) translateY(-.5rem) translateX(.15rem);
}
.cart .with-placeholder .form-control{
  padding-top: 1.625rem;
}
.cart .form-check-label{
  margin-top: 3px;
}
.cart .form-floating input::placeholder,
.cart .form-floating input::-ms-input-placeholder,
.cart .form-floating input::placeholder {
  color: transparent !important;
  opacity: 0;
}

.cart input::placeholder {
  padding-top: 15px;
  color: #909294 !important;
  font-size: 0.9em !important;
}
#page .cart-items table{
  width: 100% !important;
}
#page .cart-items .table>:not(caption)>*>*{
  border-bottom: none;
}
.nowrap{
  white-space: nowrap;
}
#page .cart-items .total td{
  border-top: 1px solid var(--bs-blue);
  font-weight: 700;
}
.cart-billing{
  border-right: 1px solid var(--bs-blue);
}

.cart .form-floating>.choices~label {
  color: rgba(var(--bs-body-color-rgb), .65);
  transform: scale(.85) translateY(-.5rem) translateX(.15rem);
}
.cart .choices{
  margin-bottom: 0;
}
.cart .choices[data-type*=select-one] .choices__inner{
  padding-top: 25px;
  min-height: 58px;
}
form .choices[data-type*=select-one].is-open .choices__list--dropdown{
  z-index: 999;
}
.choices__list--single .choices__item{
  color: var(--black);
  opacity: 1;
}

.choices__inner.is-invalid {
    border-color: var(--bs-form-invalid-border-color);
    padding-right: calc(1.5em + .75rem);
}

.form-selectpicker{
  position: relative;
  border: var(--main-border);
  border-radius: 5px;
  padding-top: 1.625rem;
  padding-bottom: 0;
}
.bootstrap-select>.dropdown-toggle{
  white-space: normal;
}
.form-selectpicker>label {
    position: absolute;
    top: 0;
    left: 0;
    z-index: 2;
    height: 100%;
    padding: 1rem .75rem;
    overflow: hidden;
    text-align: start;
    text-overflow: ellipsis;
    white-space: nowrap;
    pointer-events: none;
    border: var(--bs-border-width) solid transparent;
    transform-origin: 0 0;
    transition: opacity .1s ease-in-out, transform .1s ease-in-out;
    transform: scale(.85) translateY(-.5rem) translateX(.15rem);
}
.form-selectpicker .bootstrap-select.form-control{
  width: calc(100% - 30px) !important;
}
.form-selectpicker .bootstrap-select.form-control .btn-light{
  background-color: transparent;
  border-radius: 0;
  border: none;
  padding: 0 5px 6px 13px;
  height: auto;
  min-height: 25px;
}
.form-selectpicker .bootstrap-select.form-control .btn-light:hover,
.form-selectpicker .bootstrap-select.form-control .btn-light:focus,
.form-selectpicker .bootstrap-select.form-control .btn-light:active:focus,
.form-selectpicker .bootstrap-select.form-control .btn-light.active:focus,
.form-selectpicker .bootstrap-select.form-control .btn-light.focus,
.form-selectpicker .bootstrap-select.form-control .btn-light:active.focus,
.form-selectpicker .bootstrap-select.form-control .btn-light.active.focus {
  outline: none !important;
  box-shadow: none;
  border: none;
}
.form-selectpicker .form-control.is-valid, 
.was-validated .form-selectpicker .form-control:valid{
  border: var(--bs-border-width) solid var(--bs-border-color);
  background-image:none;
  outline: none !important;
  box-shadow: none;
}
.was-validated .form-selectpicker.is-valid{
  border-color: var(--bs-form-valid-border-color);
}

.form-selectpicker .bootstrap-select .dropdown-item{
  white-space: normal;
}